Activar Integracion
curl --request POST \
--url https://api.plazbot.com/api/workspace/{workspaceId}/integrations/{integrationId}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true
}
'import requests
url = "https://api.plazbot.com/api/workspace/{workspaceId}/integrations/{integrationId}/activate"
payload = { "isActive": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://api.plazbot.com/api/workspace/{workspaceId}/integrations/{integrationId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"type": "<string>",
"isActive": 123,
"aliasName": "<string>",
"srcName": "<string>",
"cellphoneNumber": "<string>",
"cellphoneNumberFormat": "<string>",
"creationDate": "2023-11-07T05:31:56Z"
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Workspace
Activar Integracion
Activa o desactiva una integracion del workspace. Este endpoint permite conectar o desconectar canales como WhatsApp, Messenger, Instagram o Telegram. Cuando se activa, la integracion comienza a recibir y procesar mensajes del canal asociado.
POST
/
api
/
workspace
/
{workspaceId}
/
integrations
/
{integrationId}
/
activate
Activar Integracion
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Path Parameters
ID del workspace
ID de la integracion a activar o desactivar
Body
application/json
true para activar (conectar) la integracion, false para desactivar (desconectar)
Response
Integracion activada o desactivada exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Datos de la integracion actualizada
Show child attributes
Show child attributes
⌘I

